aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rwxr-xr-xci/travis.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/ci/travis.sh b/ci/travis.sh
index 9626894c..6126fef6 100755
--- a/ci/travis.sh
+++ b/ci/travis.sh
@@ -16,6 +16,23 @@ set -x
# These are steps to run on TravisCI under a containerized Ubuntu system.
# See $TOP/.travis.yml for more info about the TravisCI setup.
+# Run shellcheck, but don't fail (yet):
+shellcheck --version
+for shellscript in $(git ls-files); do
+ case $shellscript in
+ init.d/*.in) ;;
+ sh/*.in) ;;
+ sh/*.sh) ;;
+ support/init.d.examples/*.in) ;;
+ support/openvpn/*.sh) ;;
+ support/sysvinit/halt.sh) ;;
+ test/*.sh) ;;
+ *) continue ;;
+ esac
+ echo "Checking ${shellscript} with shellcheck:"
+ shellcheck -s sh "${shellscript}" || true
+done
+
cpus=$(getconf _NPROCESSORS_CONF || echo 1)
# make on TravisCI doesn't support -O yet
make -j"${cpus}"